package com.ximai.system.domain.vo;


import com.ximai.system.domain.SysUserPost;
import lombok.Data;

/**
 * 人员组织对应关系
 */
@Data
public class OrgPersonVo {
    /**
     * 组织人员id
     */
    private Long id;

    /**
     * 岗位id
     */
    private Long positionId;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 人员id
     */
    private Long personId;

    public SysUserPost buildSysUserPost() {
        final SysUserPost sysUserPost = new SysUserPost();
        sysUserPost.setUserId(this.personId);
        sysUserPost.setPostId(this.positionId);
        return sysUserPost;
    }

//    public SysUserDept buildSysUserDept() {
//        final SysUserDept sysUserDept = new SysUserDept();
//        sysUserDept.setUserId(this.personId);
//        sysUserDept.setDeptId(this.deptId);
//        return sysUserDept;
//    }
}
